using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Ard;
using skyscraper5.Dvb.Psi.Model;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.PrivateDataSpecifiers.ArdZdfOrf
{
	internal class EitHandler : DescriptorPluginEitHandler
	{
		public void HandleEit(EitEvent outputEvent, TsDescriptor unpackedDescriptor)
		{
			byte descriptorId = unpackedDescriptor.GetDescriptorId();
			switch (descriptorId)
			{
				case 0x82:
					ArdVpsDescriptor vpsDescriptor = (ArdVpsDescriptor)unpackedDescriptor;
					outputEvent.VpsString = vpsDescriptor.VpsString;
					break;
				default:
					throw new NotImplementedException(descriptorId.ToString());
			}
		}
	}
}
